#!/bin/bash
# build.sh [-Drelease=true to use perforce interal repos]
./gradlew -DserverTest=true $1 clean test war

# also create the zip file from the build template
ZIPDIR="p4search-"$(gradle/headChange.sh)
if [ -e "./tmp" ]; then rm -rf "./tmp"; fi
mkdir -p ./tmp/$ZIPDIR
cp -r ./build/* ./tmp/$ZIPDIR/
if [ -e "../util" ] ; then 
    cp ../util/solr*.tgz ./tmp/$ZIPDIR/
    cp ../util/jetty*.gz ./tmp/$ZIPDIR/
fi

# also copy the LICENSE and README into the zip
cp LICENSE ./tmp/$ZIPDIR/
cp README ./tmp/$ZIPDIR/

# add the build output
find webapp/build -name "p4-search*.war" -exec cp {} ./tmp/$ZIPDIR/ \;

# zip it!
pushd tmp && tar -pczf p4-search.tgz $ZIPDIR && popd

# done, result is in ./tmp
